Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/drive.h>`

## Public Types

using | CppType = Glib::RefPtr< Gio::Drive >
using | CType = GDrive*
using | CTypeNonConst = GDrive*

## Static Public Member Functions

static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::CppType = Glib::RefPtr<Gio::Drive>

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::CType = GDrive*

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::CTypeNonConst = GDrive*

## Member Function Documentation

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::release_c_type | ( | CType | item | ) |

inline static

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::to_c_type | ( | const CppType& | item | ) |

inline static

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Drive > >::to_cpp_type | ( | const CType& | item | ) |

inline static